import 'package:flutter/material.dart';
import 'package:flutter_custom_toolbox/flutter_toolbox.dart';

import 'package:hangman/cubit/game_cubit.dart';
import 'package:hangman/models/game/game.dart';

class GameHiddenWordWidget extends StatelessWidget {
  const GameHiddenWordWidget({super.key});

  @override
  Widget build(BuildContext context) {
    return Center(
      child: BlocBuilder<GameCubit, GameState>(
        builder: (BuildContext context, GameState gameState) {
          final Game currentGame = gameState.currentGame;

          return FittedBox(
            child: Text(
              currentGame.hiddenWordAsString,
              style: const TextStyle(
                fontFamily: 'Tiza',
                color: Colors.white,
                fontSize: 34.0,
                letterSpacing: 10.0,
              ),
            ),
          );
        },
      ),
    );
  }
}
