import 'package:flutter/material.dart';
import 'package:flutter_custom_toolbox/flutter_toolbox.dart';

import 'package:hangman/cubit/game_cubit.dart';
import 'package:hangman/models/game/game.dart';

class GameTopWidget extends StatelessWidget {
  const GameTopWidget({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<GameCubit, GameState>(
      builder: (BuildContext context, GameState gameState) {
        final Game currentGame = gameState.currentGame;
        return Stack(
          children: [
            for (int error = 0; error < 9; error++)
              AnimatedOpacity(
                opacity: currentGame.errorsCount >= error ? 1.0 : 0.0,
                duration: Duration(milliseconds: currentGame.errorsCount >= error ? 500 : 0),
                child: Image.asset('assets/skins/default_img${error + 1}.png'),
              )
          ],
        );
      },
    );
  }
}
